Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumValueSource

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetFloatAssociations
        - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumValueSource

-     @Deprecated
      public class TaxonomyFacetSumValueSource
      extends TaxonomyFacetFloatAssociations

  Deprecated.
  This class is being deprecated in favor of `TaxonomyFacetFloatAssociations`, which provides more flexible aggregation functionality beyond just "sum"
  Aggregates sum of values from `DoubleValues.doubleValue()`, for each facet label.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `aggregationFunction, values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaxonomyFacetSumValueSource​(String indexField, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource valueSource)` | Deprecated. Aggregates double facet values from the provided `DoubleValuesSource`, pulling ordinals from the specified indexed facet field.
    `TaxonomyFacetSumValueSource​(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource vs)` | Deprecated. Custom binary encodings for taxonomy ordinals are no longer supported starting with Lucene 9
    `TaxonomyFacetSumValueSource​(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, DoubleValuesSource valueSource)` | Deprecated. Aggregates double facet values from the provided `DoubleValuesSource`, pulling ordinals from the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, rollup`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetSumValueSource

          public TaxonomyFacetSumValueSource​(TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc,
                                             DoubleValuesSource valueSource)
                                      throws IOException

      Deprecated.
      Aggregates double facet values from the provided `DoubleValuesSource`, pulling ordinals from the default indexed facet field `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumValueSource

          public TaxonomyFacetSumValueSource​(String indexField,
                                             TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc,
                                             DoubleValuesSource valueSource)
                                      throws IOException

      Deprecated.
      Aggregates double facet values from the provided `DoubleValuesSource`, pulling ordinals from the specified indexed facet field.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumValueSource

          @Deprecated
          public TaxonomyFacetSumValueSource​(OrdinalsReader ordinalsReader,
                                             TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc,
                                             DoubleValuesSource vs)
                                      throws IOException

      Deprecated.
      Custom binary encodings for taxonomy ordinals are no longer supported starting with Lucene 9
      Aggregates float facet values from the provided `DoubleValuesSource`, and pulls ordinals from the provided `OrdinalsReader`.
      Throws:
        `IOException`